tld_get_table(3)

NAME
tld_get_table - get table for a TLD name in table

SYNOPSIS
#include <tld.h>

const Tld_table * tld_get_table(const char * tld, const Tld_table ** tables);

ARGUMENTS

const char * tld
    TLD name (e.g. "com") as zero terminated ASCII byte string.

const Tld_table ** tables
    Zero terminated array of Tld_table info-structures for TLDs.

DESCRIPTION
Get the TLD table for a named TLD by searching through the given TLD table array.

RETURN VALUE
Return structure corresponding to TLD tld by going thru tables, or return NULL if no such structure is found.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.